unit uWert1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    AnfangswertEin: TEdit;
    EndwertEin: TEdit;
    Rechne: TButton;
    Loeschen: TButton;
    Ende: TButton;
    Ausgabe: TListBox;
    procedure LoeschenClick(Sender: TObject);
    procedure EndeClick(Sender: TObject);
    procedure RechneClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.LoeschenClick(Sender: TObject);
begin
   Ausgabe.Items.Clear;
end;

procedure TForm1.EndeClick(Sender: TObject);
begin
   close;
end;

procedure TForm1.RechneClick(Sender: TObject);
const zeile1 ='       x             y';
      zeile2 ='======================';
var a,b,x : integer;
    y     : real;
    zeile : string;
begin
   {Bereitstellen der Eingabe}
  a := strtoint(AnfangswertEin.text);
  b := strtoint(EndwertEin.text);
  {Verarbeitung und Ausgabe}
  Ausgabe.Items.Add(zeile1);
  Ausgabe.Items.Add(zeile2);
  x := a;
  for x := a to b do
    begin
      y := x * x;
      zeile := Format('%8d',[x])+format('%12.2f',[y]);
      Ausgabe.Items.Add(zeile);
    end;
  Ausgabe.Items.Add(zeile2);
end;

end.
